Subject: is the commit 571dcfde2371 (net-next) a proper fix?

From: Andy Shevchenko <[email-masked]>
Date: Mon, 08 Dec 2014 12:23:20 +0200

Hi!

It seems for me that commit 571dcfde2371 (stmmac: platform: fix default
values of the filter bins setting) is redundant (moreover, it could be a
cause of crash in some cases when there is no platform data defined in
case of CONFIG_OF).

In case of no OF the platform data should be provided by platform code
where the defaults are set. What did I miss?

-- 
Andy Shevchenko <[email-masked]>
Intel Finland Oy